/* ====================================
banner
======================================= */

.page-banner1 {
  position: relative;
  height: 450px;
  background: url("../images/Banners/book_car_banner.webp") center center/cover
    no-repeat !important;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.banner-overlay {
  position: absolute;
  inset: 0;
  background: rgba(0, 0, 0, 0.65);
}

.banner-content {
  position: relative;
  z-index: 2;
}

.banner-content h1 {
  font-size: 30px;
  font-weight: 700;
  color: #fff;
  margin-bottom: 30px;
}

.breadcrumb {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 15px;
  color: #fff;
  font-size: 18px;
  font-weight: 600;
}

.breadcrumb a {
  color: #fff;
  text-decoration: none;
}

.breadcrumb i {
  font-size: 14px;
}

@media (max-width: 992px) {
  .page-banner1 {
    height: 500px;
  }

  .banner-content h1 {
    font-size: 55px;
  }

  .breadcrumb {
    font-size: 16px;
  }
}

@media (max-width: 768px) {
  .page-banner1 {
    height: 500px;
    padding: 0 15px;
  }

  .banner-content h1 {
    font-size: 38px;
    margin-bottom: 15px;
  }

  .breadcrumb {
    gap: 8px;
    font-size: 14px;
    flex-wrap: wrap;
  }

  .breadcrumb i {
    font-size: 12px;
  }
}

@media (max-width: 480px) {
  .page-banner1 {
    height: 500px;
  }

  .banner-content h1 {
    font-size: 25px;
  }

  .breadcrumb {
    font-size: 11px;
  }
}

/* ====================================
CAB BOOKING FROM
======================================= */

.form-label {
    font-size: 13px;
    font-weight: 600;
    margin-bottom: 8px;
}

.custom-input {
    border: 1.5px solid #000 !important;
    border-radius: 8px !important;
    min-height: 54px;
    font-size: 14px;
    box-shadow: none !important;
}

.custom-input:focus {
    border-color: #e11d2e;
}

textarea.custom-input {
    min-height: 90px;
    resize: none;
}

.country-box {
    position: relative;
}

.form-control custom-input-two{
    height: 140px !important;
    border: 1.5px solid #000 !important;

}

.text-surcharge{
    text-align:right !important;
}

/* Flag */
.country-select-wrapper {
    position: relative;
    width: 100%;
}

.country-select {
    height: 54px;
    padding-left: 60px !important;
    padding-right: 65px !important;
    border: 1.5px solid #000 !important;
    border-radius: 8px !important;
    font-size: 18px;
    display: flex;
    align-items: center;
    line-height: normal;
}

.country-flag {
    position: absolute;
    left: 18px;
    top: 50%;
    transform: translateY(-50%);
    width: 28px;
    height: 20px;
    object-fit: cover;
    border-radius: 2px;
    z-index: 5;
    pointer-events: none;
}

/* Better arrow alignment */

.country-select.form-select {
    background-position: right 18px center;
    background-size: 14px;
}

/* ============================================== */

.payment-group {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}

.payment-item {
    position: relative;
    display: flex;
    align-items: center;
    gap: 15px;
    min-width: 170px;
    padding: 18px 28px;
    border: 1.5px solid #1e1e1e;
    border-radius: 10px;
    cursor: pointer;
    transition: all .3s ease;
    background: #fff;
}

.payment-item input {
    display: none;
}

.custom-radio {
    width: 20px;
    height: 20px;
    border: 2px solid #999;
    border-radius: 50%;
    position: relative;
    flex-shrink: 0;
}

.payment-text {
    font-size: 18px;
    font-weight: 600;
    color: #1e1e1e;
}

/* Active State */

.payment-item.active {
    border-color: #e53935;
}

.payment-item.active .custom-radio {
    border-color: #e53935;
}

.payment-item.active .custom-radio::after {
    content: "";
    width: 10px;
    height: 10px;
    background: #e53935;
    border-radius: 50%;
    position: absolute;
    justify-content:center;
    align-items:center;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* Card Note */

.card-note {
    display: none;
    color: #e53935;
    font-size: 14px;
    margin-top: 15px;
    margin-left: 10px;
    font-weight: 500;
}

@media(max-width:576px){

    .payment-group{
        flex-direction: column;
    }

    .payment-item{
        width:100%;
    }

}

.payment-item {
    border: 1.5px solid #000;
    border-radius: 8px;
    padding: 10px 20px;
    display: flex;
    align-items: center;
    gap: 10px;
    cursor: pointer;
}

.payment-item.active {
    border-color: #e11d2e;
}

.charges-box {
    border: 1px solid #000;
    border-radius: 10px;
    background: #fafafa;
    padding: 20px;
}

.charges-box h6 {
    margin-bottom: 8px;
}


.custom-checkbox-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
}

.custom-checkbox {
    /* appearance: none; */
    /* -webkit-appearance: none; */
    width: 20px !important;
    height: 20px !important;
    border: 2px solid #bdbdbd;
    border-radius: 6px;
    cursor: pointer;
    position: relative;
    transition: all 0.3s ease;
    flex-shrink: 0;
}

.custom-checkbox:checked {
    background: #e53935 !important;
    border-color: #e53935 !important;
}

.custom-checkbox:checked::after {
    content: '\2713' !important;
    color: #fff;
    font-size: 14px;
    font-weight: 100 !important;
    position: absolute;
    top: 48%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.checkbox-label {
    font-size: 14px;
    color: #444;
    cursor: pointer;
}

.checkbox-label a {
    color: #e53935;
    text-decoration: none;
    font-weight: 500;
}

.checkbox-label a:hover {
    text-decoration: underline;
}


.submit-btn {
    background: #e11d2e !important;
    color: #fff !important;
    padding: 14px 50px !important;
    border-radius: 8px;
    border: none;
    font-weight: 600;
    width: 100%;
}

.submit-btn:hover {
    background: #c91726;
    color: #fff;
}

@media (max-width: 767px) {


    .payment-group {
        flex-direction: column;
    }

    .payment-item {
        width: 100%;
    }

    .submit-btn {
        width: 100%;
    }
}